Objective:
Today, I have mastered the basic ideas of unit testing and Test-driven development (TDD). TDD requires writing test code before writing functional code, and ensures that only functional code that can pass the test is written. This method can drive the entire development process through testing.
Reflective:
Through extensive TDD exercises, I have realized that using TDD can better illustrate requirements and development steps, thus writing concise, usable, and high-quality code. I began to think about whether it was necessary to complete the TDD process one by one, and if I could write several steps at the same time, would it be necessary to complete each step one by one. I am concerned that this may reduce development efficiency.
Interpretive:
When thinking about the process of TDD, I realized that it is an iterative process, where each step requires writing test code first, then functional code, and finally refactoring. This approach ensures that each function can be independently tested and function properly.
Decisional:
Although I am concerned about development efficiency, I have decided not only to pursue efficiency, but also to focus on code quality and reliability. Therefore, I have decided to stick to using TDD to write code. I realized that TDD can not only improve code quality, but also help me better understand requirements and code logic. In the future, I will continue to get used to using TDD for encoding and enjoy the benefits of it.